Results 1 to 9 of 9

Thread: 0a.d- data on Leap 42.3, what is the problem?

  1. #1

    Default 0a.d- data on Leap 42.3, what is the problem?

    Hello,

    I am a player of the game 0ad, I often play this game with my son.

    Unfortunately, a compilation error makes it impossible to pass the 0ad-data package to version 0.22.
    What is strange is that the SLE version compiles perfectly.

    Is a .rpm specialist, may have the kindness to take a closer look at the problem ?

    This game is really very popular, and I think it is an asset to be on the latest version, especially that it brings a lot of change.


    Thanks !!!

    Vigen.

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    22,017

    Default Re: 0a.d- data on Leap 42.3, what is the problem?

    I am afraid that when you do not provide any technical information (preferable copied/pasted from a terminal window between CODE tags here) about what you do and get, nobody will be able to give any advice.

    IMHO what you post is just a version of the infamous "it does not work".
    Henk van Velden

  3. #3
    Join Date
    May 2012
    Location
    Finland
    Posts
    1,950

    Default Re: 0a.d- data on Leap 42.3, what is the problem?

    I compiled it for you in my home repo (in my signature - for 42.3 only since you explicitly stated that was the version you were having issues with)

    The 0ad-data 0.22 from games: repo should work with this one (it's 600MB so I didn't want to include it in my own repo for no reason)
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  4. #4

    Default Re: 0a.d- data on Leap 42.3, what is the problem?

    Quote Originally Posted by hcvv View Post
    I am afraid that when you do not provide any technical information (preferable copied/pasted from a terminal window between CODE tags here) about what you do and get, nobody will be able to give any advice.

    IMHO what you post is just a version of the infamous "it does not work".

    Ooh !! Im sorry I had completely forgotten to put the link. excuse me !!

    https://build.opensuse.org/package/show/games/0ad-data
    http://paste.opensuse.org/70034805

    The .spec file :

    http://paste.opensuse.org/39011340

    Regards,

    Vigen.

  5. #5

    Default Re: 0a.d- data on Leap 42.3, what is the problem?

    Quote Originally Posted by Miuku View Post
    I compiled it for you in my home repo (in my signature - for 42.3 only since you explicitly stated that was the version you were having issues with)

    The 0ad-data 0.22 from games: repo should work with this one (it's 600MB so I didn't want to include it in my own repo for no reason)

    Hello, and thank you for the package !!

    However, the 0ad-data package is problematic... Is not a 0.22 version, but an 0.21.

    Regards,

    Vigen.

  6. #6
    Join Date
    May 2012
    Location
    Finland
    Posts
    1,950

    Default Re: 0a.d- data on Leap 42.3, what is the problem?

    I built the data too for you in my repo now - please test.
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  7. #7

    Default Re: 0a.d- data on Leap 42.3, what is the problem?

    Many thanks for your work Miuku

    When i merged your .spec and the games.repo .spec, the release line is the only change?

    (Sorry for my bad English)

    Vigen.

  8. #8
    Join Date
    May 2012
    Location
    Finland
    Posts
    1,950

    Default Re: 0a.d- data on Leap 42.3, what is the problem?

    Quote Originally Posted by Vigen View Post
    When i merged your .spec and the games.repo .spec, the release line is the only change?
    There are no changes, merely a recompilation of the 0.22 binary.

    You should be able to install the 0ad and 0ad-data from my repo - note that I may not be updating it (it's a one off fix for you :-) ) and once they fix the games: one, you should use that.

    So in essence, to install the game and data from my repo:
    Code:
    sudo zypper ar -f http://download.opensuse.org/repositories/home:/Miuku/openSUSE_Leap_42.3/home:Miuku.repo
    sudo zypper in --from home_Miuku 0ad 0ad-data
    If it wants to change vendor, please do and it'll install the 0.22 version from my home repo.
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  9. #9

    Default Re: 0a.d- data on Leap 42.3, what is the problem?

    Ok, many thanks !!!

    Its resolved for me !!

    Regards,

    Vigen

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •